Method: media.download

  • The page provides details on how to download media using an HTTP GET request.

  • Downloading media requires the inclusion of the alt=media query string for a successful request.

  • The request uses a path parameter called resourceName to identify the media to be downloaded.

  • The request body should be empty, and a successful response body contains an instance of Media.

  • The request requires authorization using the https://www.googleapis.com/auth/display-video OAuth scope.

Downloads media. Download is supported on the URI /download/{resourceName=**}?alt=media.

Note: Download requests will not be successful without including alt=media query string.

HTTP request

GET https://displayvideo.googleapis.com/download/{resourceName=**}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
resourceName

string

Name of the media that is being downloaded. See ReadRequest.resource_name.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Media.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.